# $Revision: 1.58 $, $Date: 2009/09/17 07:53:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Sender
Summary:	Mail::Sender - sending mails with attachments through an SMTP server
Summary(pl.UTF-8):	Mail::Sender - wysyłanie poczty z załącznikami za pośrednictwem serwera SMTP
Name:		perl-Mail-Sender
Version:	0.8.16
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e5d88236202b3d39567ade7d560797b0
URL:		http://search.cpan.org/dist/Mail-Sender/
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Mail::Sender.config)' 'perl(Authen::NTLM)' 'perl(Digest::HMAC_MD5)'

%description
Mail::Sender provides an object oriented interface to sending mails.
It doesn't need any outer program. It connects to a mail server
directly from Perl, using Socket.

%description -l pl.UTF-8
Mail::Sender udostępnia zorientowany obiektowo interfejs do wysyłania
poczty. Nie potrzebuje żadnego zewnętrznego programu. Łączy się
bezpośrednio z Perla z serwerem, korzystając z modułu Socket.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} </dev/null

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Mail/Sender.pm
%{perl_vendorlib}/Mail/Sender
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-Sender.spec,v $
Revision 1.58  2009/09/17 07:53:31  amateja
- updated to 0.8.16

Revision 1.57  2007/12/24 13:39:36  qboosh
- generic URL

Revision 1.56  2007-12-24 00:46:01  zbyniu
- up to 0.8.13

Revision 1.55  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.54  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.53  2006/01/09 18:01:30  qboosh
- unified (grepable files)

Revision 1.52  2004/11/03 22:30:32  paladine
- formatting

Revision 1.51  2004/05/06 18:20:34  ankry
- fixed perl-devel BR

Revision 1.50  2004/04/25 00:50:57  ankry
- cosmetics: unification

Revision 1.49  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.48  2004/04/20 23:59:34  ankry
- ported to new bconds

Revision 1.47  2004/01/24 23:17:55  arekm
- autoupdated to 0.8.10

Revision 1.46  2003/09/21 21:48:29  adamg
- fixed %%files

Revision 1.45  2003/09/18 13:19:47  adamg
- updated to 0.8.08

Revision 1.44  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.43  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.42  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.41  2003/06/11 13:41:27  qboosh
- up to 0.8.06, summaries+descriptions (from RA-branch), release 2

Revision 1.40  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.39  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.37  2003/04/06 00:42:08  ankry
- don't require SMTP AUTH dependencies

Revision 1.36  2003/03/13 00:03:12  ankry
- merge from RA-branch: updated to 0.8.05

Revision 1.35  2003/03/01 20:20:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.34  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.33  2003/02/18 15:36:08  ankry
- massive attack: change CPAN URLs

Revision 1.32  2003/02/05 16:19:12  ankry
- autoupdated to 0.8.04

Revision 1.31  2003/01/08 12:47:05  mis
- autoupdated to 0.8.03

Revision 1.30  2002/09/30 15:58:52  ankry
_noautoreq perl(%{pdir}::%{pnam}.config)

Revision 1.29  2002/09/27 14:09:02  ankry
- added tests, translations; cleaning
- version 0.8.00, rel. 1
TODO: configure in %%post

Revision 1.28  2002/07/20 20:34:17  qboosh
- updated to 0.7.14.1

Revision 1.27  2002/07/12 09:04:38  qboosh
- new %%doc and cosmetics

Revision 1.26  2002/07/11 08:01:18  depesz
- new version; should work; STBR

Revision 1.25  2002/07/10 08:48:00  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/02/25 10:32:46  depesz
cleanup; revision++

Revision 1.22  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/19 11:23:08  depesz
- new version, STBR

Revision 1.20  2002/02/13 14:18:15  depesz
automatic: Source location unified, Relase Up

Revision 1.19  2002/02/10 15:28:23  depesz
adapterized

Revision 1.18  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/07/25 09:09:56  mis
- autoupdated to 0.7.10

Revision 1.16  2001/06/29 16:28:23  mis
- autoupdated to 0.7.09

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:12:20  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/04/10 19:33:00  mis
- autoupdated to 0.7.08

Revision 1.11  2001/02/20 15:54:57  mis
- updated (by autoup) to 0.7.06

Revision 1.10  2001/01/11 02:10:11  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/10/11 06:30:12  depesz
najnowsze wersje.
